Get activities

Retrieves the activity timeline (messages, audit-log changes, account activities, and calendar events) for the workspace, whole record types, or one or several specific records, with optional filters, sorting, and pagination.

POST
/v1/messaging/activities/search

Authorization

apiKeyAuth
x-api-key<token>

API key authentication. Create an API key in your user profile and include it in the x-api-key header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/messaging/activities/search" \  -H "Content-Type: application/json" \  -d '{}'
{
  "p13nId": "string",
  "items": [
    {
      "kind": "audit",
      "id": "string",
      "at": "string",
      "actor": {
        "firstName": "string",
        "lastName": "string",
        "avatarUrl": "string",
        "email": "string"
      },
      "event": "string",
      "changes": [
        {
          "field": "string",
          "columnId": "string",
          "snapshot": true,
          "previous": null,
          "current": null
        }
      ],
      "records": {
        "primary": {
          "entityType": "contact",
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "label": "string",
          "avatarUrl": "string"
        },
        "related": [
          {
            "entityType": "contact",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "label": "string",
            "avatarUrl": "string"
          }
        ],
        "relatedOverflow": 9007199254740991
      }
    }
  ],
  "customColumns": [
    null
  ],
  "filters": [
    {
      "field": "timelineKind",
      "operator": "in",
      "value": [
        "changes"
      ]
    }
  ],
  "searchTerm": "string",
  "sortDescriptor": null,
  "pagination": {
    "page": 0,
    "pageSize": 0,
    "totalPages": 0,
    "total": 0
  },
  "filterableFields": [
    null
  ],
  "columnOrder": [
    "string"
  ],
  "columnWidths": {
    "property1": 0,
    "property2": 0
  },
  "hiddenColumns": [
    "string"
  ],
  "viewMode": "string",
  "groupCounts": {
    "property1": 0,
    "property2": 0
  },
  "groupValueSums": {
    "property1": {
      "property1": 0,
      "property2": 0
    },
    "property2": {
      "property1": 0,
      "property2": 0
    }
  },
  "valueSums": {
    "property1": 0,
    "property2": 0
  },
  "availableSources": [
    "audit"
  ],
  "pageLimitReached": true,
  "scopeTruncated": true
}
"string"
"string"
"string"
"string"